- Qt 5.15
- Qt WebEngine
- C++ Classes
- QQuickWebEngineProfile
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QQuickWebEngineProfile

The following members of class QQuickWebEngineProfile are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(obsolete)` useForGlobalCertificateVerification : bool

## Public Functions

`(obsolete)` bool | isUsedForGlobalCertificateVerification() const
`(obsolete)` void | setRequestInterceptor(QWebEngineUrlRequestInterceptor *interceptor)
`(obsolete)` void | setUseForGlobalCertificateVerification(bool b)

## Signals

`(obsolete)` void | useForGlobalCertificateVerificationChanged()

## Property Documentation

### useForGlobalCertificateVerification : bool

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This property holds whether this profile is used for downloading and caching during global certificate verification when using the online certificate status protocol (OCSP), certificate revokation lists (CRLs), and authority information access (AIA), for example.

As long as one profile has this option enabled, all other profiles will be able to use it for certificate verification. Only one profile at a time can have this option enabled. It is recommended that the profile has a disk HTTP cache to avoid needlessly re-downloading.

By default, no profile has this property enabled.

Originally only affected Linux/NSS installations, where having a profile with this role enabled OCSP.

Since 5.15.3 no longer does anything, and certificate verification is now done using AIO on the requesting profile.

This property was introduced in Qt 5.13.

Access functions:

bool | isUsedForGlobalCertificateVerification() const
void | setUseForGlobalCertificateVerification(bool b)

Notifier signal:

void | useForGlobalCertificateVerificationChanged()

## Member Function Documentation

### void QQuickWebEngineProfile::setRequestInterceptor(QWebEngineUrlRequestInterceptor *interceptor)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Registers a request interceptor singleton interceptor to intercept URL requests.

The profile does not take ownership of the pointer.

Interceptors installed with this method will call QWebEngineUrlRequestInterceptor::interceptRequest on the I/O thread. Therefore the user has to provide thread-safe interaction with the other user classes. Use setUrlRequestInterceptor instead.

See also QWebEngineUrlRequestInterceptor.